# PetscMPIDump

Dumps a listing of incomplete MPI operations, such as sends that have never been received, etc.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscMPIDump(FILE *fd)

Collective on PETSC_COMM_WORLD

### Input Parameter

fp -file pointer. If fp is NULL, stdout is assumed.

### Options Database Key

-mpidump -Dumps MPI incompleteness during call to PetscFinalize()

### See Also

PetscMallocDump()

Level:developer
Location: src/sys/utils/mpitr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages